PGPAINLESS-CLI-INLINE-SIGN(1)

NAME
pgpainless-cli-inline-sign - Create an inline-signed message

SYNOPSIS

pgpainless-cli inline-sign [--[no-]armor] [--stacktrace] [--as={binary|text|clearsigned}] [--with-key-password=PASSWORD]... [KEYS...]

DESCRIPTION

OPTIONS

--as={binary|text|clearsigned}
    Specify the signature format of the signed message.

    'text' and 'binary' will produce inline-signed messages.

    'clearsigned' will make use of the cleartext signature framework.

    Defaults to 'binary'.

    If '--as=text' and the input data is not valid UTF-8, inline-sign fails with return code 53.

--[no-]armor
    ASCII armor the output

--stacktrace
    Print stacktrace

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

ARGUMENTS

[KEYS...]
    Secret keys used for signing